@echo -off

set BIOSROM N150RD.8M

#delete old MSDM file
if exist msdm.bin then
 del msdm.bin
endif

# save MSDM
gmsdmx64

if not %Lasterror% == 0 then
 goto end
endif

# update ME F/W
fpt -f N150RD.8M -l 0x300000 -y

if not %Lasterror% == 0 then
 goto end
endif

# update SBIOS
afuefix64 N150RD.BIN /p /b /n /R /l

if not %Lasterror% == 0 then
 goto end
endif

# restore MSDM
if exist msdm.bin then
# oaidefix64 msdm.bin /oa
if not %Lasterror% == 0 then
  goto end
endif
 del msdm.bin
endif

# shutdown system
afuefix64 /s /shutdown

:end
@echo -on